Bug 457927 - huge memory usage of X when compiz-fusion is on [intel 965 mobile]
huge memory usage of X when compiz-fusion is on [intel 965 mobile]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 11:12 EDT by Krzysztof "Uosiu" Hajdamowicz
Modified: 2009-07-14 13:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my xorg.conf (1.20 KB, text/plain)
2008-08-05 11:12 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details
My xorg log, compiz started, with xorg.conf in /etc/X11 (36.48 KB, text/plain)
2008-09-05 06:03 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details
This is my X.org log when there is no xorg.conf and compiz is enabled (29.12 KB, text/plain)
2008-09-09 17:52 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details

  None (edit)
Description Krzysztof "Uosiu" Hajdamowicz 2008-08-05 11:12:04 EDT
Created attachment 313460 [details]
my xorg.conf

Description of problem: The X process uses more and more of RAM and swap space, when compiz* is on. on my 2GiB of ram laptop it causes 1700MiB of ram and 700MiB of swap space used only by X


Version-Release number of selected component (if applicable):
[ root @ samhain ] /home/uosiu ROOTMODE> rpm -q compiz-fusion    
compiz-fusion-0.7.6-1.fc9.x86_64
[ root @ samhain ] /home/uosiu ROOTMODE> rpm -qa |grep xorg |sort | wklej
-> http://www.wklej.org/id/df8971fa14


How reproducible: Always


Steps to Reproduce:
1. Start compiz*, eg compiz-fusion
2. Use your box normally and watch your RAM usage
3. restart X and check ram usage now
  
Actual results: X process eats more and more of RAM and swap space, when i'm opening and closing windows of applications


Expected results: X can eat more and more of RAM, but it should give it back every X time, or instantly, when it is not needed


Additional info:
Comment 1 Kamil J. Dudek 2008-08-05 11:24:07 EDT
Compiz has "indirect rendering" enabled, and "loose binding" disabled.
Uptime higher than 30h (or using suspend more than once) makes all the memory filled. Restoring session end up with blinking Capslock light, just after entering screen lockdown password.

Using "intel" driver for i965 chipset on ThinkPad R61i - same laptop as uosiu's one.
Comment 2 Adel Gadllah 2008-08-05 15:43:38 EDT
Can you please try X from updates testing?
--
yum --enablerepo=updates-testing update xorg-x11-server-Xorg
--

It contains this fix: http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commit;h=e4cfdc07f4ef2e42762f0296936bbe776b4b7fbe 

which might fix your problems.
Comment 3 Krzysztof "Uosiu" Hajdamowicz 2008-08-06 10:44:52 EDT
(In reply to comment #2)
> Can you please try X from updates testing?
> --
> yum --enablerepo=updates-testing update xorg-x11-server-Xorg
> --
> 
> It contains this fix:
> http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commit;h=e4cfdc07f4ef2e42762f0296936bbe776b4b7fbe 
> 
> which might fix your problems.

Sorry, for my late, but i'll try this after 17th August (i'm on a holiday, and GPRS connections are expensive in my country), but Kamil J. Dudek have the same machine as I have
Comment 4 Krzysztof "Uosiu" Hajdamowicz 2008-08-18 05:25:14 EDT
Wellm there isn't such package in updates-testing, package from rawhide did not help- X uses more and more of RAM
Comment 5 Matěj Cepl 2008-09-04 12:34:14 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachment using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Krzysztof "Uosiu" Hajdamowicz 2008-09-05 06:03:03 EDT
Created attachment 315853 [details]
My xorg log, compiz started, with xorg.conf in /etc/X11
Comment 7 Krzysztof "Uosiu" Hajdamowicz 2008-09-05 06:17:23 EDT
Rest of X.org logs-
for a in /var/log/Xorg.0.log \
         /var/log/Xorg.0.log.old \
         /var/log/Xorg.1.log \
         /var/log/Xorg.1.log.old \
         /var/log/Xorg.2.log \
         /var/log/Xorg.2.log.old \
         /var/log/Xorg.3.log \
         /var/log/Xorg.3.log.old \
         /var/log/Xorg.4.log \
         /var/log/Xorg.4.log.old \
         /var/log/Xorg.5.log \
         /var/log/Xorg.5.log.old ;
do cat $a | wklej
;done
http://wklej.org/id/2730/
http://wklej.org/id/2731/
http://wklej.org/id/2732/
http://wklej.org/id/2733/
http://wklej.org/id/2734/
http://wklej.org/id/2735/
http://wklej.org/id/2736/
http://wklej.org/id/2737/
http://wklej.org/id/2738/
http://wklej.org/id/2739/
http://wklej.org/id/2740/
http://wklej.org/id/2741/
Comment 8 Krzysztof "Uosiu" Hajdamowicz 2008-09-05 13:58:55 EDT
UPDATE:
I've rebuild xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.x86_64 and added these patches mentioned above (from freedesktop.org), and RAM usage has been decreased. But still grows
Comment 9 Krzysztof "Uosiu" Hajdamowicz 2008-09-09 17:52:14 EDT
Created attachment 316257 [details]
This is my X.org log when there is no xorg.conf and compiz is enabled
Comment 10 Bug Zapper 2009-06-09 22:23:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:09:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.